CH_WRITE(3)

FUNCTION
ch_write - Write to a channel.

SYNOPSIS
#include <karma_ch.h>

uaddr ch_write

(Channel channel, CONST char *buffer, uaddr length)

DESCRIPTION
This routine will write a number of bytes from a buffer to a channel.

channel
    The channel object.

buffer
    The buffer to read the data from.

length
    The number of bytes to read from the buffer and write to the channel.

RETURN VALUE
The number of bytes written.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/